import request from '@/utils/request';

/**
 * 获取APP端余额及变动记录
 * @returns {Promise}
 */
export function getBalanceOnApp() {
    return request({
        url: '/fulfiller/log/balanceOnApp',
        method: 'GET'
    });
}

/**
 * 分页获取APP端变动记录列表
 * @param {Object} data 
 * @returns {Promise}
 */
export function pageBalanceOnApp(data) {
    return request({
        url: '/fulfiller/log/pageBalanceOnApp',
        method: 'GET',
        data
    });
}

/**
 * 根据年月获取APP端变动记录列表
 * @param {Object} data 
 * @returns {Promise}
 */
export function listBalanceOnApp(data) {
    return request({
        url: '/fulfiller/log/listBalanceOnApp',
        method: 'GET',
        data
    });
}

/**
 * 获取APP端当前积分
 * @returns {Promise}
 */
export function pointsOnApp() {
    return request({
        url: '/fulfiller/log/pointsOnApp',
        method: 'GET'
    });
}

/**
 * 分页获取APP端积分变动记录列表
 * @param {Object} data 
 * @returns {Promise}
 */
export function pagePointsOnApp(data) {
    return request({
        url: '/fulfiller/log/pagePointsOnApp',
        method: 'GET',
        data
    });
}

/**
 * 根据年月获取APP端积分变动记录列表
 * @param {Object} data 
 * @returns {Promise}
 */
export function listPointsOnApp(data) {
    return request({
        url: '/fulfiller/log/listPointsOnApp',
        method: 'GET',
        data
    });
}
/**
 * 获取APP端奖惩统计值
 * @param {Object} data 
 * @returns {Promise}
 */
export function countOnAppReward(data) {
    return request({
        url: '/fulfiller/log/countOnAppReward',
        method: 'GET',
        data
    });
}

/**
 * 获取APP端奖惩列表数据
 * @param {Object} data 
 * @returns {Promise}
 */
export function listOnAppReward(data) {
    return request({
        url: '/fulfiller/log/listOnAppReward',
        method: 'GET',
        data
    });
}

/**
 * 获取我的积分日志
 */
export function getMyPointsLog(params) {
  return request({
    url: '/fulfiller/log/points',
    method: 'GET',
    data: params
  })
}

/**
 * 获取我的余额日志
 */
export function getMyBalanceLog(params) {
  return request({
    url: '/fulfiller/log/balance',
    method: 'GET',
    data: params
  })
}

/**
 * 获取我的奖惩记录
 */
export function getMyRewardLog(params) {
  return request({
    url: '/fulfiller/log/reward',
    method: 'GET',
    data: params
  })
}
